spack:
  include:
  - config.yml
  - packages.yml
  - compilers.yml
  - modules.yml
  view: false
  concretization: separately
  definitions:
  - arch: [arch=linux-rocky8-skylake_avx512]
  - compilers: [gcc@9.3.0, intel@2021.4.0]
  - core_compilers: [gcc@8.5.0]
  - mpi: [openmpi, intel-oneapi-mpi]
  - compiler_arch_mpi: [gcc@9.3.0 arch=linux-rocky8-skylake_avx512 ^openmpi arch=linux-rocky8-skylake_avx512, intel@2021.4.0 arch=linux-rocky8-skylake_avx512 ^intel-oneapi-mpi arch=linux-rocky8-skylake_avx512]
  - hdf5: [hdf5]
  - build_utils: [cmake, git, git-lfs]
  - libs: [fftw, intel-oneapi-mkl]
  - containers: [singularity]
  - ior: [ior]
  - md: [mdtest]
  - imb: [intel-mpi-benchmarks]
  - benchmarks:
    - matrix:
      - [$imb]
      - [$%compiler_arch_mpi]
    - matrix:
      - [$ior]
      - [$%compiler_arch_mpi]
    - matrix:
      - [$md]
      - [$%compilers]
      - [$arch]
  specs:
  - openmpi%gcc@9.3.0 arch=linux-rocky8-skylake_avx512
  - intel-oneapi-mpi%intel@2021.4.0 arch=linux-rocky8-skylake_avx512
  - matrix:
    - [$build_utils]
    - [$%core_compilers]
    - [$arch]
  - matrix:
    - [$libs]
    - [$%compilers]
    - [$arch]
  - matrix:
    - [$hdf5]
    - [$%compiler_arch_mpi]
  - $benchmarks
  - singularity%gcc@9.3.0 arch=linux-rocky8-skylake_avx512
  - boost%gcc@9.3.0 arch=linux-rocky8-skylake_avx512
  # The new rocky OS does not provide static libraries and so we cannot build boost with intel
  # Need to contact support team of JSC to get statis libraries and then add this to spec
  # - boost%intel@2021.4.0 arch=linux-rocky8-skylake_avx512 ^intel-oneapi-mkl
